### Property

# EDataServer SourceMailComposition:top-signature

#### Declaration

    property top-signature: EDataServer.ThreeState [ read, write, construct ]

#### Description [src]

Whether place signature at the top on reply or forward.

Type:`EThreeState`

Default value | E_THREE_STATE_INCONSISTENT
Getter method | `e_source_mail_composition_get_top_signature()`
Setter method | `e_source_mail_composition_set_top_signature()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no